[Hardy] ltmodem driver missing

Bug #210652 reported by NoOp on 2008-04-02
2
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.24 (Ubuntu)
Undecided
Unassigned

Bug Description

Hardy Beta - fully updated as of April 1 PDST - fresh install on a ThinkPad A21M. The A21M previously had Gutsy on it and working ltmodem w/Lucent-Agere driver. Installed 2.6.24.12-386 restricted kernel and find that no restricted drivers for ltmodem are available. The modem is properly picked up by lshw:

        *-communication UNCLAIMED
             description: Communication controller
             product: WinModem 56k
             vendor: Agere Systems
             physical id: 3
             bus info: pci@0000:00:03.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: pm cap_list
             configuration: latency=0 maxlatency=14 mingnt=252

I note from:
http://changelogs.ubuntu.com/changelogs/pool/restricted/l/linux-restricted-modules-2.6.24/linux-restricted-modules-2.6.24_2.6.24.11-12.31/changelog
that ltmodem was dropped in:
linux-restricted-modules-2.6.24 (2.6.24.1-1.1) hardy; urgency=low

  * Convert to build with 2.6.24
  * Disable xen/rt builds
  * Disable ltmodem and fritz for now, doesn't build with current headers

Can this be added back in?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules-2.6.24 - 2.6.24.12-14.32

---------------
linux-restricted-modules-2.6.24 (2.6.24.12-14.32) hardy; urgency=low

  * ABI bump to 14.
  * Madwifi 0.9.4 (LP: #208754):
    - fixes compilation for recently released kernel 2.6.24
    - introduces Minstrel rate control algorithm
    - introduces switch to turn ANI (Ambience Noise Immunity) off, which
      can help to improve performance (see also #705)
    - several bug fixes to improve stability
    - now defaults to radiotap headers in monitor mode
    - adds support for variable number of VAPs, tunable via module
      parameter
  * control: Drop the nvidia-kernel-ABIVER dependencies from nvidia-glx*, since
    fglrx is doing just fine without them, and they only create problems
    during upgrades when apt selects the first package to provide the
    virtual package. (LP: #188287)
  * ltmodem/serial.c: Modify to compile with 2.6.24. Enable ltmodem again.
    (LP: #210652)
  * Add openvz flavour.

 -- Timo Aaltonen <email address hidden> Thu, 03 Apr 2008 01:45:22 +0300

Changed in linux-restricted-modules-2.6.24:
status: New → Fix Released

Thanks! Any timeframe for when we'll see linux-restricted-modules-2.6.24
(2.6.24.12-14.32) in to repo's? All I see currently is
linux-restricted-modules-2.6.24 (2.6.24.11-12.31) will all repositories
activated.

NoOp (glgxg) wrote :

On 04/02/2008 05:38 PM, NoOp wrote:
> Thanks! Any timeframe for when we'll see linux-restricted-modules-2.6.24
> (2.6.24.12-14.32) in to repo's? All I see currently is
> linux-restricted-modules-2.6.24 (2.6.24.11-12.31) will all repositories
> activated.
>

How's that for service... kernel updates received in today's updates &
the modem is working again. Thanks!

NoOp (glgxg) wrote :

Please repopen.

ltmodem works in 2.6.24.12-14-386 and 2.6.24.12-15-386, it does not work in 2.6.24.12-16-386.

Hardware drivers for the modem are shown and detected in 14 & 15, 16 shows "No proprietary drivers are in use on this system".

NoOp (glgxg) wrote :

Correction: should be:

ltmodem works in 2.6.24-14-386 and 2.6.24-15-386: it does not work in 2.6.24-16-386

However, I've just found that it *does* work in 2.6.24-17-386 so I'll remove 14 and 16, keeping 15 as a fallback.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers